[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rawhide report: 20070912 changes



Ralf Corsepius, the maintainer of the OpenSceneGraph packages in
Fedora is being extremely difficult in helping to fix this dependency
problem.

I have a new osgcal ready to build and soon a new osgal package, but I
need a pkgconfig file from the OpenSceneGraph maintainer Ralf
Corsepius.

However Ralf is being extremely difficult and refuses to add a
pkgconfig file to OpenSceneGraph-devel package which I have already
provided for him.

His reason is that upstream did not provide one, so therefore it is
wrong for him to do so.  My packages are the *only* packages which
BuildRequire OpenSceneGraph-devel.

Not only has Ralf upgraded to OSG 2.0 without any warnings whatsoever,
he also has not provided an OSG-1 compat package to help with these
dependency problems.  Now after we have spent hours of work getting
our packages to work with OSG2, all we need is a pkgconfig file, and
Ralf is refusing to cooperate.

What am I suppposed to do in this situation?  I am forced now to go
through the long process of contacting OSG upstream to get the
pkgconfig file re-added (it used to be included with OSG1).  I am
afraid we will not be able to accomplish this before F8, and Ralf
refuses to simply add a pkgconfig file to his package.

It seems Ralf cannot think on his own, and we have to go through
upstream in order to get Ralf to actually do anything to the package.

https://bugzilla.redhat.com/show_bug.cgi?id=247376

Can anyone please help resolve this conflict?


On 9/12/07, Build System <buildsys redhat com> wrote:
> Broken deps for i386
> ----------------------------------------------------------
>         openalpp - 20060714-3.fc7.i386 requires libOpenThreads.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgDB.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgFX.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgParticle.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgProducer.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgSim.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgGA.so.1
>         osgal - 20060903-3.fc7.i386 requires libOpenThreads.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgText.so.1
>         osgal - 20060903-3.fc7.i386 requires libosg.so.1
>         osgal - 20060903-3.fc7.i386 requires libosgUtil.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgDB.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgFX.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgParticle.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgProducer.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgSim.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgGA.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libOpenThreads.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgText.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosg.so.1
>         osgcal - 0.1.44-4.fc7.i386 requires libosgUtil.so.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]